Skip to main content Skip to complementary content

Core framework updates of Talend ESB for 8.0.1-R2023-08

Talend 8.0.1-R2023-08 release upgraded the core framework of Talend ESB:

  • Apache Camel 3.11.1 to 3.20.6
  • Apache CXF 3.4.10 to 3.5.5
  • Apache Karaf 4.2.11 to 4.4.3
  • Apache ActiveMQ 5.16.3 to 5.17.4
  • Spring Boot 2.6.8 to 2.7.12
This article introduces the dedicated changes of this upgrade.
Information noteWarning:

If you are using Talend Runtime for deployment, after installing the R2023-08 Talend Studio patch, you need to use exclusively the R2023-08 Talend Runtime build because the Camel version for Talend Studio and Runtime must be aligned. You will need to rebuild, republish, and redeploy all your Data Services and Routes.

For more information on the upgrade process, see Upgrading Talend Runtime for on-premises deployment and Upgrading Talend Runtime for Cloud.

Apache Camel

Apache Camel is upgraded from 3.11.1 to 3.20.6.

New Camel components are available in the new version and some old components are removed. For example:

New components Added from version
camel-dynamic-router 3.15
camel-elasticsearch 3.19
camel-hashicorp-vault 3.18
camel-influxdb2 3.20
camel-json-patch 3.12
camel-knative 3.15
camel-mapstruct 3.19
camel-plc4x 3.20
camel-rocketmq 3.20
camel-whatsapp 3.19
Removed components Removed from version
camel-ahc 3.19
camel-ahc-ws 3.19
camel-atomix 3.17
camel-beanio 3.17
camel-beanstalk 3.17
camel-elsql 3.17
camel-etcd 3.17
camel-ganglia 3.17
camel-hystrix 3.17
camel-jing 3.17
camel-kamelet-reify 3.17
camel-leveldb-legacy 3.17
camel-msv 3.17
camel-nagios 3.17
camel-nsq 3.17
camel-ribbon 3.17
camel-sip 3.17
camel-soroush 3.17
camel-spring-javaconfig 3.15
camel-tagsoup 3.17
camel-yammer 3.17
New features are available for Talend ESB use cases:
  • Modern Authentication support for cMail Component
  • Camel cWMQ enhancement requests

Apache CXF

Apache CXF is upgraded from 3.4.10 to 3.5.5 with bug fixes (security included) and improvements added.

Apache Karaf

Apache Karaf is upgraded from 4.2.11 to 4.4.3, which is the most up-to-date release for this OSGi container.

While preparing support for Java 17, Java 11 remain the recommended Java version to use.

Apache ActiveMQ

Apache ActiveMQ is upgraded from 5.16.3 to 5.17.4 with bug fixes and improvements added.

Spring Boot

Spring Boot is upgraded from 2.6.8 to 2.7.12, aligned with Camel requirements.

Did this page help you?

If you find any issues with this page or its content – a typo, a missing step, or a technical error – let us know how we can improve!